#!/usr/bin/perl

use strict;
use locale;

our ($directory, $destination_file) = @ARGV;

opendir(IMD, $directory);
my @files = readdir(IMD);
closedir(IMD);

my %recettes;

foreach my $file (@files) {
    next if ($file eq ".." || $file eq ".");
    open(FILE, $directory . "/" . $file);
    my $line = <FILE>;
    close(FILE);
    $line =~ m/.*{recipe}{(.*?)}/;
    $recettes{$1} = $directory . "/" . $file;
}

open (DEST, ">".$destination_file);

foreach my $recette (sort {lc($a) cmp lc($b)} keys %recettes) {
    open(FILE, $recettes{$recette});
    print DEST <FILE>;
}

close(DEST);
